part of 'order_cubit.dart';

@immutable
abstract class OrderState  extends Equatable {
  @override
  List<Object> get props => [];
}

class OrderInitial extends OrderState {}
class OrderLoading extends OrderState {
  @override
  String toString() => 'OrderLoading';
}
class OrderFailure extends OrderState {
  final String error;

  OrderFailure(this.error);

  @override
  String toString() => 'OrderFailure { error: $error }';
}